Bug 456583 - Review Request: calamaris - Squid native log format (NLF) analyzer and report generator
Review Request: calamaris - Squid native log format (NLF) analyzer and report...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-24 15:41 EDT by Robert Scheck
Modified: 2008-07-30 16:03 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.59-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-30 16:01:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2008-07-24 15:41:34 EDT
Spec URL: http://labs.linuxnetz.de/bugzilla/calamaris.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/calamaris-2.59-1.src.rpm
Calamaris parses the Squid Native Log and genereates reports about Peak-usage, 
Request-Methods, Status-reports of incoming and outgoing requests, second and 
Top-level destinations, content-types and performance.
Comment 1 manuel wolfshant 2008-07-24 21:07:09 EDT
There is a small typo in the Description, "genereates" instead of "generates".
Please remember to fix that before import.

I also suggest a touch -r CHANGES CHANGES (and same for EXAMPLES) in order to
preserve the original timestamps.

MUSTFIX: include the COPYRIGHT file, it contains the license.

Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLV2+
 [!] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package: 5dc703e247b707482ce28d4612598aa51b101c31 
/tmp/calamaris-2.59.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [?] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:devel/x86_64 but since it's a just a perl script should work anywhere
 [x] Package functions as described (tested in Centos 4 !)
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.


=== Issues ===
1. Missing license in the binary RPM

=== Final Notes ===
1. Please include the license and you are good to go
2. Please also consider the other two suggestions. Feel free to ignore the
second one.


================
*** APPROVED *** with the condition of fixing the inclusion of the license. I
trust you to do it before importing the package.
================
Comment 2 manuel wolfshant 2008-07-24 21:14:55 EDT
mkey, I meant touch -r CHANGES CHANGES.utf8. 4 AM over here, I really should go
to sleep :)
Comment 3 Robert Scheck 2008-07-25 02:24:55 EDT
Thank you Manuel for the very fast review. I'll to the requested changes of
course before importing the package. The missing things were my oversight by
me, sorry.


New Package CVS Request
=======================
Package Name: calamaris
Short Description: Squid native log format (NLF) analyzer and report generator
Owners: robert
Branches: EL-4 EL-5 F-8 F-9
InitialCC: 
Cvsextras Commits: no
Comment 4 Kevin Fenzi 2008-07-25 12:51:10 EDT
I'm sure I have bugged you before about this, but I can't recall your answer:
why have cvsextras: no? 

cvs done.
Comment 5 Robert Scheck 2008-07-25 14:50:55 EDT
Package: calamaris-2.59-1.fc10 Tag: dist-f10 Status: complete
Package: calamaris-2.59-1.fc9 Tag: dist-f9-updates-candidate Status: complete
Package: calamaris-2.59-1.fc8 Tag: dist-f8-updates-candidate Status: complete

Build Result: 39681 - calamaris on fedora-5-epel
Build Result: 39682 - calamaris on fedora-4-epel
Comment 6 Robert Scheck 2008-07-25 14:57:02 EDT
Regarding "cvsextras: no": I think, our talk in IRC explains it, it's just the
old thing regarding changes which are done to help/improve but cause damages on
the package, because the changing person hasn't enough knowledge about the pkg
or didn't check all points for a version change which maybe introduces new bugs
or even regressions caused by upstream. And as of the moment, I'm able to walk 
through all of my (30?) packages, I've usually open less than 5 open bug reports 
assigned to me which are handled in most cases < 24 hrs - even if I'm abroad.

On the other hand, there are co-maintainers as well, but I still think, that I
am maintaining also many packages just for myself such as php-idn, beecrypt,
perl-Net-LibIDN, digitemp, libopm, perl-ccom, tcpick, bind-libbind and others.
Note, that even some of my packages have "cvsextras: yes" and I'll re-think it
and maybe change it for one or another non-critical, but more active package via
the pkgdb.
Comment 7 Fedora Update System 2008-07-25 14:59:09 EDT
calamaris-2.59-1.fc9 has been submitted as an update for Fedora 9
Comment 8 Fedora Update System 2008-07-25 14:59:11 EDT
calamaris-2.59-1.fc8 has been submitted as an update for Fedora 8
Comment 9 Fedora Update System 2008-07-30 16:01:03 EDT
calamaris-2.59-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-07-30 16:03:32 EDT
calamaris-2.59-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.